<div class="basic-page">
  <h2>Trades</h2>
  <nz-spin [nzSpinning]="isLoading[0]">
    <div class="listitem-container alternative" style="text-align: left;">
      <div ngClass="listitem" nz-row nzType="flex" style="padding: 5px 8px 5px 8px;" nzGutter="8" nzAlign="middle"
        nzJustify="space-between" *ngFor="let trade of trades">
        <!-- SHOW OPPOSITE SIDE IN THE TRADE FROM CURRENT ENTITY -->
        <div nz-col nzSpan="8">
          <a *ngIf="trade.entity1.entityId == entityId && trade.entity1.entityType == entityType"
            href="{{hostUrl}}/{{trade.entity2.entityTypeName}}/{{trade.entity2.entityId}}" target="_blank">
            <!-- <img src="{{hostUrl}}/{{trade.entity2.avatarLocation}}" style="max-width:33px;max-height: 33px;" /> -->
            <i nz-icon nzType="vertical-align-top" nzTheme="outline"></i>
            <span style="margin-left: 10px;">{{trade.entity2.name}}</span>
          </a>
          <a *ngIf="trade.entity2.entityId == entityId && trade.entity2.entityType == entityType"
            href="{{hostUrl}}/{{trade.entity1.entityTypeName}}/{{trade.entity1.entityId}}" target="_blank">
            <!-- <img src="{{hostUrl}}/{{trade.entity1.avatarLocation}}" style="max-width:33px;max-height: 33px;" /> -->
            <i nz-icon nzType="vertical-align-bottom" nzTheme="outline"></i>
            <span style="margin-left: 10px;">{{trade.entity1.name}}</span>
          </a>
        </div>
        <!-- SHOW TIME AGO -->
        <div nz-col nzSpan="6">
          {{ trade.timeAgo }} ago
        </div>
        <!-- SHOW IN PROGRESS OR FINISHED STATUS TAG -->
        <!-- SHOW TYPE and Detail Link -->
        <div nz-col nzXs="10" nzSm="8" nzMd="8" nzLg="4">
          <a nz-button nzType="primary" href="{{hostUrl}}/trade/{{trade.id}}" target="_blank">
            <!-- <span *ngIf="trade.isInstant == false">Trade</span>
            <span *ngIf="trade.isInstant == true">Donation</span>
            <br />
            <i nz-icon nzType="swap" nzTheme="outline"></i>
            <br /> -->
            <span *ngIf="trade.isFinished == false">In Progress</span>
            <span *ngIf="trade.isFinished == true">Finished</span>
          </a>
        </div>
      </div>
    </div>
  </nz-spin>
</div>
